summaryrefslogtreecommitdiff
path: root/dzq
diff options
context:
space:
mode:
Diffstat (limited to 'dzq')
-rwxr-xr-xdzq17
1 files changed, 17 insertions, 0 deletions
diff --git a/dzq b/dzq
new file mode 100755
index 0000000..bca7adc
--- /dev/null
+++ b/dzq
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# Search Deezer
+
+test -z "$1" && { echo usage: $0 query 1>&2; exit 1; }
+q=`printf '%s' "$1" | jq -sRr @uri`
+
+rm /tmp/dzq 2> /dev/null
+
+curl -s "https://www.deezer.com/search/$q" |
+grep __DZR_APP_STATE__ |
+cut -d= -f2- |
+jq -r '.TRACK.data[] | .SNG_TITLE + "\t" + .ART_NAME + "\t" + .ALB_TITLE + "\t" + .SNG_ID' 2>&- |
+sed 's/ */ /g' |
+head -${2:-10} |
+nl -w 2 |
+tee -a /tmp/dzq